clang 8.0.0

Public Member Functions | Static Public Member Functions | Friends | List of all members
OMPHintClause Class Reference

This represents 'hint' clause in the '#pragma omp ...' directive. More...

`#include "clang/AST/OpenMPClause.h"`

Inheritance diagram for OMPHintClause:
[legend]
Collaboration diagram for OMPHintClause:
[legend]

## Public Member Functions
| OMPHintClause (Expr *Hint, SourceLocation StartLoc, SourceLocation LParenLoc, SourceLocation EndLoc)
| Build 'hint' clause with expression Hint. More...
| OMPHintClause ()
| Build an empty clause. More...
void | setLParenLoc (SourceLocation Loc)
| Sets the location of '('. More...
SourceLocation | getLParenLoc () const
| Returns the location of '('. More...
Expr * | getHint () const
| Returns number of threads. More...
child_range | children ()

## Static Public Member Functions
static bool | classof (const OMPClause *T)

## Friends
class | OMPClauseReader

## Detailed Description

This represents 'hint' clause in the '#pragma omp ...' directive.

#pragma omp critical (name) hint(6)

In this example directive '#pragma omp critical' has name 'name' and clause 'hint' with argument '6'.

Definition at line 4593 of file OpenMPClause.h.

## Constructor & Destructor Documentation

## ◆ OMPHintClause() [1/2]

OMPHintClause::OMPHintClause | ( | Expr * | Hint,
|  | SourceLocation | StartLoc,
|  | SourceLocation | LParenLoc,
|  | SourceLocation | EndLoc
| ) |  |
| inline

Build 'hint' clause with expression Hint.

Parameters

  Hint | Hint expression.
  StartLoc | Starting location of the clause.
  LParenLoc | Location of '('.
  EndLoc | Ending location of the clause.

Definition at line 4612 of file OpenMPClause.h.

## ◆ OMPHintClause() [2/2]

OMPHintClause::OMPHintClause | ( |  | ) |
| inline

Build an empty clause.

Definition at line 4618 of file OpenMPClause.h.

## Member Function Documentation

## ◆ children()

child_range OMPHintClause::children | ( |  | ) |
| inline

Definition at line 4629 of file OpenMPClause.h.

## ◆ classof()

static bool OMPHintClause::classof | ( | const OMPClause * | T | ) |
| inline static

Definition at line 4631 of file OpenMPClause.h.

## ◆ getHint()

Expr* OMPHintClause::getHint | ( |  | ) | const
| inline

Returns number of threads.

Definition at line 4627 of file OpenMPClause.h.

Referenced by OMPIsDevicePtrClause::CreateEmpty(), clang::TreeTransform< Derived >::TransformOMPExecutableDirective(), and clang::OMPClauseWriter::VisitOMPClauseWithPostUpdate().

## ◆ getLParenLoc()

SourceLocation OMPHintClause::getLParenLoc | ( |  | ) | const
| inline

Returns the location of '('.

Definition at line 4624 of file OpenMPClause.h.

Referenced by clang::TreeTransform< Derived >::TransformOMPExecutableDirective(), and clang::OMPClauseWriter::VisitOMPClauseWithPostUpdate().

## ◆ setLParenLoc()

void OMPHintClause::setLParenLoc | ( | SourceLocation | Loc | ) |
| inline

Sets the location of '('.

Definition at line 4621 of file OpenMPClause.h.

## Friends And Related Function Documentation

## ◆ OMPClauseReader

friend class OMPClauseReader
| friend

Definition at line 4594 of file OpenMPClause.h.

The documentation for this class was generated from the following file:

- include/clang/AST/OpenMPClause.h